#!/usr/bin/env fish
set input_options "󰌾 Lock" "󰤄 Suspend" "󰐥 Poweroff" "󰜉 Reboot"

set input (menu $input_options || exit) 

if test (menu "Cancel" "Proceed") = Proceed
    switch $input
        case $input_options[1]
            swaylock -f

        case $input_options[2]
            swaylock -f
            systemctl suspend

        case $input_options[3]
            systemctl poweroff

        case $input_options[4]
            systemctl reboot

    end
end
